Inhalte
Index 🔎︎

# Chr Function

Gibt das zum angegebenen Zeichencode gehörige Zeichen zurück.

### Syntax:

Chr[$](expression As Integer) As String

### Rückgabewert:

String

### Parameter:

Ausdruck: Ein numerischer Ausdruck, der einen gültigen 8-Bit-ASCII-Wert (0-255) oder einen 16-Bit-Unicode-Wert darstellt. (Um Ausdrücke mit einem nominell negativen Argument wie Chr(&H8000) abwärtskompatibel zu unterstützen, werden Werte im Bereich von –32768 bis –1 intern dem Bereich von 32768 bis 65535 zugeordnet.)

Wenn der VBA-Kompatibilitätsmodus aktiviert ist (OPTION VBASUPPORT 1), ist Ausdruck ein numerischer Ausdruck, der nur einen gültigen 8-Bit-ASCII-Wert (0-255) darstellt.

Verwenden Sie die Funktion Chr$, um spezielle Steuersequenzen an einen Drucker oder ein anderes Ausgabegerät zu senden. Ebenso können Sie mit dieser Funktion Anführungszeichen in einen Zeichenkettenausdruck einfügen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf

An overflow error will occur when VBA compatibility mode is enabled and the expression value is greater than 255.

### Beispiel:

            Sub ExampleChr
                ' Dieses Beispiel fügt Anführungszeichen (ASCII-Wert 34) in eine Zeichenkette ein.
                MsgBox "A "+ Chr$(34)+"short" + Chr(34)+" trip."
                ' Bei der Ausgabe erscheint im Dialog: Eine "kleine" Reise.
            End Sub

Verwandte Themen

Asc Function

AscW Function [VBA]

ChrW Function [VBA]